cURL
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/procedure-groups/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cpt_codes": [
[
"97110",
"97140"
]
],
"provider_id": null,
"mso_id": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/procedure-groups/"
payload = {
"name": "<string>",
"cpt_codes": [["97110", "97140"]],
"provider_id": None,
"mso_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cpt_codes: [['97110', '97140']],
provider_id: null,
mso_id: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/procedure-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.silnahealth.com/api/public/v1/procedure-groups/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'cpt_codes' => [
[
'97110',
'97140'
]
],
'provider_id' => null,
'mso_id' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.silnahealth.com/api/public/v1/procedure-groups/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"cpt_codes\": [\n [\n \"97110\",\n \"97140\"\n ]\n ],\n \"provider_id\": null,\n \"mso_id\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.silnahealth.com/api/public/v1/procedure-groups/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"cpt_codes\": [\n [\n \"97110\",\n \"97140\"\n ]\n ],\n \"provider_id\": null,\n \"mso_id\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.silnahealth.com/api/public/v1/procedure-groups/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"cpt_codes\": [\n [\n \"97110\",\n \"97140\"\n ]\n ],\n \"provider_id\": null,\n \"mso_id\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"specialty": "PHYSICAL_THERAPY",
"cpt_codes": [
[
"97110",
"97140"
]
]
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Procedure Groups
Create Procedure Group
POST
/
public
/
v1
/
procedure-groups
/
cURL
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/procedure-groups/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cpt_codes": [
[
"97110",
"97140"
]
],
"provider_id": null,
"mso_id": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/procedure-groups/"
payload = {
"name": "<string>",
"cpt_codes": [["97110", "97140"]],
"provider_id": None,
"mso_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cpt_codes: [['97110', '97140']],
provider_id: null,
mso_id: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/procedure-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.silnahealth.com/api/public/v1/procedure-groups/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'cpt_codes' => [
[
'97110',
'97140'
]
],
'provider_id' => null,
'mso_id' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.silnahealth.com/api/public/v1/procedure-groups/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"cpt_codes\": [\n [\n \"97110\",\n \"97140\"\n ]\n ],\n \"provider_id\": null,\n \"mso_id\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.silnahealth.com/api/public/v1/procedure-groups/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"cpt_codes\": [\n [\n \"97110\",\n \"97140\"\n ]\n ],\n \"provider_id\": null,\n \"mso_id\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.silnahealth.com/api/public/v1/procedure-groups/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"cpt_codes\": [\n [\n \"97110\",\n \"97140\"\n ]\n ],\n \"provider_id\": null,\n \"mso_id\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"specialty": "PHYSICAL_THERAPY",
"cpt_codes": [
[
"97110",
"97140"
]
]
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Procedure Group Name
Required string length:
1 - 255Specialty the procedure group is configured for
Available options:
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING, NEUROLOGY CPT codes in the procedure group
Minimum array length:
1Example:
[["97110", "97140"]]
The provider's Silna identifier
The MSO's Silna identifier
Response
Procedure Group ID
Procedure Group Name
Specialty the procedure group is configured for
Available options:
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING, NEUROLOGY CPT codes in the procedure group
Example:
[["97110", "97140"]]